Bug 52853 - network configuration tool improperly configures ne2000
network configuration tool improperly configures ne2000
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: redhat-config-network (Show other bugs)
roswell
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-29 20:47 EDT by William Shotts
Modified: 2008-05-01 11:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-30 15:52:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description William Shotts 2001-08-29 20:47:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.3) Gecko/20010801

Description of problem:
Using the network configuration tool to configure a ne2000 ethernet card
fails to write the proper values in the /etc/modules.conf file for the driver.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install roswell (ne2000 is not detected during install)
2. Run gnome
3. Run network configuration tool (not wizard)
4. Configure ne2000 device as eth0
5. Quit
6. Reboot

	

Actual Results:  eth0 fails to come up.  lsmod reveals that ne module has
not been loaded.  Examination of /etc/modules.conf shows that the module
has been configured so:

options eth0 io=0x320 irq=5
alias eth0 ne 

Expected Results:  eth0 should come up.

Additional info:

Changing modules.conf to:

alias eth0 ne
options ne io=0x320

corrects problem.
Comment 1 Phil Knirsch 2001-08-31 08:29:40 EDT
Thanks for reporting.

A fix is already in CVS, a new version should appear shortly on rawhide.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.